---
title: Date.prototype.setUTCMilliseconds()
slug: Web/JavaScript/Reference/Global_Objects/Date/setUTCMilliseconds
tags:
  - Date
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>setUTCMilliseconds()</code></strong> method sets the milliseconds for a specified date according to universal time.</p>

<div>{{EmbedInteractiveExample("pages/js/date-setutcmilliseconds.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>dateObj</var>.setUTCMilliseconds(<var>millisecondsValue</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>millisecondsValue</var></code></dt>
 <dd>A number between 0 and 999, representing the milliseconds.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>The number of milliseconds between 1 January 1970 00:00:00 UTC and the updated date.</p>

<h2 id="Description">Description</h2>

<p>If a parameter you specify is outside of the expected range, <code>setUTCMilliseconds()</code> attempts to update the date information in the {{jsxref("Date")}} object accordingly. For example, if you use 1100 for <code><var>millisecondsValue</var></code>, the seconds stored in the {{jsxref("Date")}} object will be incremented by 1, and 100 will be used for milliseconds.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_setUTCMilliseconds">Using setUTCMilliseconds()</h3>

<pre class="brush: js notranslate">var theBigDay = new Date();
theBigDay.setUTCMilliseconds(500);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-date.prototype.setutcmilliseconds', 'Date.prototype.setUTCMilliseconds')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Date.setUTCMilliseconds")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Date.prototype.getUTCMilliseconds()")}}</li>
 <li>{{jsxref("Date.prototype.setMilliseconds()")}}</li>
</ul>
